com.h3c.of.sw

## Class CfgBase

- java.lang.Object
- - com.h3c.of.sw.CfgBase

-     public class CfgBase
      extends Object

  Encapsulates the base configuration of a mock-switch.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgBase()` No-args constructor to allow incremental creation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBufferCount()` Returns the configured number of buffers.
    `Set<Capability>` | `getCapabilities()` Returns the configured capabilities.
    `IpAddress` | `getControllerAddress()` Returns the configured controller address.
    `int` | `getOpenflowPort()` Returns the configured OpenFlow port.
    `int` | `getOpenflowTlsPort()` Returns the configured OpenFlow TLS port.
    `int` | `getOpenflowUdpPort()` Returns the configured OpenFlow UDP port.
    `int` | `getTableCount()` Returns the configured number of tables.
    `void` | `setBufferCount(int bufferCount)` Sets the switch's reported buffer count.
    `void` | `setCapabilities(Set<Capability> capabilities)` Sets the switch's reported OpenFlow capabilities.
    `void` | `setControllerAddress(IpAddress address)` Sets the openflow controller address.
    `void` | `setOpenflowPort(int port)` Sets the OpenFlow listen port.
    `void` | `setOpenflowTlsPort(int port)` Sets the OpenFlow TLS listen port.
    `void` | `setOpenflowUdpPort(int port)` Sets the OpenFlow UDP listen port.
    `void` | `setTableCount(int tableCount)` Sets the switch's reported table count.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CfgBase

          public CfgBase()

      No-args constructor to allow incremental creation.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getControllerAddress

          public IpAddress getControllerAddress()

      Returns the configured controller address.
      Returns:
        the controller address

    - #### getOpenflowPort

          public int getOpenflowPort()

      Returns the configured OpenFlow port.
      Returns:
        the openflow port

    - #### getOpenflowTlsPort

          public int getOpenflowTlsPort()

      Returns the configured OpenFlow TLS port.
      Returns:
        the openflow TLS port

    - #### getOpenflowUdpPort

          public int getOpenflowUdpPort()

      Returns the configured OpenFlow UDP port.
      Returns:
        the openflow UDP port

    - #### getBufferCount

          public int getBufferCount()

      Returns the configured number of buffers.
      Returns:
        the number of buffers

    - #### getTableCount

          public int getTableCount()

      Returns the configured number of tables.
      Returns:
        the number of tables

    - #### getCapabilities

          public Set<Capability> getCapabilities()

      Returns the configured capabilities.
      Returns:
        the capabilities

    - #### setControllerAddress

          public void setControllerAddress(IpAddress address)

      Sets the openflow controller address.
      Parameters:
        `address` - the controller address

    - #### setOpenflowPort

          public void setOpenflowPort(int port)

      Sets the OpenFlow listen port.
      Parameters:
        `port` - the OpenFlow port

    - #### setOpenflowTlsPort

          public void setOpenflowTlsPort(int port)

      Sets the OpenFlow TLS listen port.
      Parameters:
        `port` - the OpenFlow TLS port

    - #### setOpenflowUdpPort

          public void setOpenflowUdpPort(int port)

      Sets the OpenFlow UDP listen port.
      Parameters:
        `port` - the OpenFlow UDP port

    - #### setBufferCount

          public void setBufferCount(int bufferCount)

      Sets the switch's reported buffer count.
      Parameters:
        `bufferCount` - the buffer count

    - #### setTableCount

          public void setTableCount(int tableCount)

      Sets the switch's reported table count.
      Parameters:
        `tableCount` - the table count

    - #### setCapabilities

          public void setCapabilities(Set<Capability> capabilities)

      Sets the switch's reported OpenFlow capabilities.
      Parameters:
        `capabilities` - the capabilities

Copyright © 2014. All Rights Reserved.